Summary: Synchronize users and data between radosgw clusters
Name: radosgw-agent
Version: 1.2.7
Release: 1%{?dist}
Source0: https://pypi.python.org/packages/da/30/ff858b1f3363f74f735429b0d06e805767d7a4556c20641292168d6c083f/radosgw-agent-1.2.7.tar.gz
License: MIT
Group: Development/Libraries
BuildArch: noarch
Requires: python-argparse
Requires: PyYAML
Requires: python-boto >= 2.2.2
Requires: python-boto < 3.0.0
Requires: python-requests
BuildRequires: python-devel
BuildRequires: python-setuptools
# Test suite deps not available in Ceph 1.2
#BuildRequires: python-pytest
#BuildRequires: python-mock >= 1
#BuildRequires: python-httpretty
#BuildRequires: python-boto
URL: https://github.com/ceph/radosgw-agent

%description
The Ceph RADOS Gateway agent replicates the data of a master zone to a
secondary zone.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT
install -m 0755 -D scripts/radosgw-agent $RPM_BUILD_ROOT%{_bindir}/radosgw-agent
install -m 0644 -D logrotate.conf $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/radosgw-agent
install -m 0755 -D init-radosgw-agent $RPM_BUILD_ROOT%{_initrddir}/radosgw-agent
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ceph/radosgw-agent
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/ceph/radosgw-agent
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/ceph/radosgw-agent

%check
#py.test-%%{python_version} -v radosgw_agent/tests

%files
%doc LICENSE
%dir %{_sysconfdir}/ceph/radosgw-agent
%dir %{_localstatedir}/log/ceph/radosgw-agent
%dir %{_localstatedir}/run/ceph/radosgw-agent
%config(noreplace) %{_sysconfdir}/logrotate.d/radosgw-agent
%{_bindir}/radosgw-agent
%{_initrddir}/radosgw-agent
%{python_sitelib}/radosgw_agent*/

%changelog
* Tue Aug 23 2016 Thomas Serlin <tserlin@redhat.com> - 1.2.7-1
- Update to 1.2.7 (rhbz#1344134)

* Wed Jul 15 2015 Ken Dreyer <kdreyer@redhat.com> 1.2.3-1
- Update to 1.2.3 for IPv6 support (rhbz#1232036)

* Wed Jan 21 2015 Ken Dreyer <kdreyer@redhat.com> - 1.2-2
- Add %%changelog section to package
